package com.yuchen.saas.park.api.feign.property;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yuchen.saas.park.api.dto.property.PropertyHousesQryDto;
import com.yuchen.saas.park.api.entity.property.PropertyHouses;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

@Component
public class PropertyHousesFeignServiceFallback implements PropertyHousesFeignService {

    @Override
    public R save(PropertyHouses propertyHouses) {
        return R.fail("feign远程调用失败.");
    }

    @Override
    public R<Page<PropertyHouses>> list(PropertyHousesQryDto propertyHousesQryDTO) {
        return R.fail("feign远程调用失败.");
    }

    @Override
    public R detail(Long id) {
        return R.fail("feign远程调用失败.");
    }

}
